/****************************************************************************

   Copyright (C) 1995 University of Utah

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the Free
   Software Foundation, 675 Massachusetts Avenue, Cambridge, MA 02139 USA;
   either version 1, or (at your option) any later version.

   The University of Utah disclaims all warranties with regard to this
   software, including all implied warranties of merchantability and fitness.
   In no event shall the University of Utah be liable for any special, indirect
   or consequential damages or any damages whatsoever resulting from loss of
   use, data or profits, whether in an action of contract, negligence or other
   tortious action, arising out of or in connection with the use or performance
   of this software.

*****************************************************************************/

#include <stdio.h>

class Communicator;


/* Reads and discards the characters in "file" up to and including the
   next newline or EOF.  Returns 1 if the end of file was encountered,
   zero otherwise. */

int eatLine (FILE *file);



/* Displays an error message with a popup window. */

void notifyUser (char *m1, char *m2="", char *m3="", char *m4 = "");



int askUser (char *questions[], char *m1, char *m2 = "",
	     char *m3 = "", char *m4 = "", char *m5 = "");


/* Processes the Hamlet directive encoded into "filename" using "comm"
   as necessary.  The first two lines of a hamlet file are

   <HTML>
   <!-- command

   where "command" is either "send" or "copytar".  We use "command" to
   decide how to process the directive. */

void processButton (FILE *file, Communicator &comm, char *filename);
